Bug 24055 - Description of PayPalReturnURL system preference is unclear
Summary: Description of PayPalReturnURL system preference is unclear
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Ella
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-18 11:54 UTC by Katrin Fischer
Modified: 2021-02-24 22:44 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This enhancement improves the description of the PayPalReturnURL. Changed from 'configured return' to 'configured return URL' as this is what it is called on the PayPal website.
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 24055: Rephrase description of PayPalReturnURL slightly (1.15 KB, patch)
2020-04-13 15:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24055: Rephrase description of PayPalReturnURL slightly (1.20 KB, patch)
2020-04-14 20:15 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 24055: (follow-up) Description of PayPalReturnURL system preference (1.22 KB, patch)
2021-01-21 03:11 UTC, Ella
Details | Diff | Splinter Review
Bug 24055: Rephrase description of PayPalReturnURL slightly (1.26 KB, patch)
2021-01-21 19:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24055: (follow-up) Description of PayPalReturnURL system preference (1.28 KB, patch)
2021-01-21 19:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24055: Rephrase description of PayPalReturnURL slightly (1.31 KB, patch)
2021-01-21 19:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24055: (follow-up) Description of PayPalReturnURL system preference (1.33 KB, patch)
2021-01-21 19:29 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-11-18 11:54:55 UTC
PayPalReturnURL says:

After payment or cancellation, PayPal should return to the␠OPAC's alias

It's not clear what is meant by OPAC's alias. Could this be rephrased or an example be added to make this clearer?
Comment 1 Katrin Fischer 2020-04-13 02:22:49 UTC
Hi Tomas, can you maybe help me out? What is the alias if it's not the BaseURL?
Comment 2 Tomás Cohen Arazi 2020-04-13 03:27:22 UTC
I think this refers to the situation in which the OPAC is behind (say) a reverse proxy, and for some reason we don't want the 'after PayPal finished redirect' to use the guessed URL, but a fixed one. I'd say 'alias' is too specific here. I'd say to the 'specified URL'.
Comment 3 Katrin Fischer 2020-04-13 15:02:24 UTC
Created attachment 102855 [details] [review]
Bug 24055: Rephrase description of PayPalReturnURL slightly

changes 'OPAC's alias' to 'specified URL' as suggested by
Tomas on comment#2.

To test:
- Go to Administration / System preferences
- Search for PayPalReturnURL
- Verify description has changed to "specified URL" as
  one of the options
Comment 4 Michal Denar 2020-04-14 20:15:08 UTC
Created attachment 102945 [details] [review]
Bug 24055: Rephrase description of PayPalReturnURL slightly

changes 'OPAC's alias' to 'specified URL' as suggested by
Tomas on comment#2.

To test:
- Go to Administration / System preferences
- Search for PayPalReturnURL
- Verify description has changed to "specified URL" as
  one of the options

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Marcel de Rooy 2020-05-01 07:45:15 UTC
I cant say that it is clear to me now. If we rephrase, please make it more clear than what we do now.
Comment 6 Katrin Fischer 2020-05-01 10:40:20 UTC
I followed Tomas suggestion, I will need help to find a better description as honestly I don't really understand myself. Just trying to push this forward to improve things here!
Comment 7 Ella 2021-01-21 03:11:50 UTC
Created attachment 115495 [details] [review]
Bug 24055: (follow-up) Description of PayPalReturnURL system preference

Have rephrased it as 'configured return URL' as this is what they call
it on the PayPal website.

To test:
- Go to Administration/ System preferences
- Search for PayPalReturnURL
- Verify description has changed to 'configured return URL' as one of
the options.

Sponsored.by: Catalyst IT
Comment 8 Katrin Fischer 2021-01-21 19:24:30 UTC
Created attachment 115599 [details] [review]
Bug 24055: Rephrase description of PayPalReturnURL slightly

changes 'OPAC's alias' to 'specified URL' as suggested by
Tomas on comment#2.

To test:
- Go to Administration / System preferences
- Search for PayPalReturnURL
- Verify description has changed to "specified URL" as
  one of the options

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2021-01-21 19:24:34 UTC
Created attachment 115600 [details] [review]
Bug 24055: (follow-up) Description of PayPalReturnURL system preference

Have rephrased it as 'configured return URL' as this is what they call
it on the PayPal website.

To test:
- Go to Administration/ System preferences
- Search for PayPalReturnURL
- Verify description has changed to 'configured return URL' as one of
the options.

Sponsored.by: Catalyst IT

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-01-21 19:24:59 UTC
Let's try this again, thx Ella!
Comment 11 Nick Clemens 2021-01-21 19:29:01 UTC
Created attachment 115604 [details] [review]
Bug 24055: Rephrase description of PayPalReturnURL slightly

changes 'OPAC's alias' to 'specified URL' as suggested by
Tomas on comment#2.

To test:
- Go to Administration / System preferences
- Search for PayPalReturnURL
- Verify description has changed to "specified URL" as
  one of the options

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Nick Clemens 2021-01-21 19:29:04 UTC
Created attachment 115605 [details] [review]
Bug 24055: (follow-up) Description of PayPalReturnURL system preference

Have rephrased it as 'configured return URL' as this is what they call
it on the PayPal website.

To test:
- Go to Administration/ System preferences
- Search for PayPalReturnURL
- Verify description has changed to 'configured return URL' as one of
the options.

Sponsored.by: Catalyst IT

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 13 Jonathan Druart 2021-01-22 13:53:45 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 14 Fridolin Somers 2021-01-29 13:27:25 UTC
Pushed to 20.11.x for 20.11.03
Comment 15 Andrew Fuerste-Henry 2021-02-03 22:25:45 UTC
Pushed to 20.05.x for 20.05.09
Comment 16 Victor Grousset/tuxayo 2021-02-04 17:33:13 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.